# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.docs
Class MetadataEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<MetadataEntry>
                  com.google.gdata.data.docs.MetadataEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class MetadataEntry

extends BaseEntry<MetadataEntry>

Describes a Metadata entry.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Metadata kind category.
`static java.lang.String` `KIND` Metadata kind term value.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`MetadataEntry()` Default mutable constructor.
`MetadataEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `addExportFormat(ExportFormat exportFormat)` Adds a new export format.
`void` `addFeature(Feature feature)` Adds a new feature.
`void` `addImportFormat(ImportFormat importFormat)` Adds a new import format.
`void` `addMaxUploadSize(MaxUploadSize maxUploadSize)` Adds a new max upload size.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`java.util.List<ExportFormat>` `getExportFormats()` Returns the export formats.
`java.util.List<Feature>` `getFeatures()` Returns the features.
`java.util.List<ImportFormat>` `getImportFormats()` Returns the import formats.
`java.util.List<MaxUploadSize>` `getMaxUploadSizes()` Returns the max upload sizes.
`QuotaBytesTotal` `getQuotaBytesTotal()` Returns the quota bytes total.
`QuotaBytesUsed` `getQuotaBytesUsed()` Returns the quota bytes used.
`QuotaBytesUsedInTrash` `getQuotaBytesUsedInTrash()` Returns the quota bytes used in trash.
`boolean` `hasExportFormats()` Returns whether it has the export formats.
`boolean` `hasFeatures()` Returns whether it has the features.
`boolean` `hasImportFormats()` Returns whether it has the import formats.
`boolean` `hasMaxUploadSizes()` Returns whether it has the max upload sizes.
`boolean` `hasQuotaBytesTotal()` Returns whether it has the quota bytes total.
`boolean` `hasQuotaBytesUsed()` Returns whether it has the quota bytes used.
`boolean` `hasQuotaBytesUsedInTrash()` Returns whether it has the quota bytes used in trash.
`void` `setQuotaBytesTotal(QuotaBytesTotal quotaBytesTotal)` Sets the quota bytes total.
`void` `setQuotaBytesUsed(QuotaBytesUsed quotaBytesUsed)` Sets the quota bytes used.
`void` `setQuotaBytesUsedInTrash(QuotaBytesUsedInTrash quotaBytesUsedInTrash)` Sets the quota bytes used in trash.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KIND

    public static final java.lang.String KIND

  Metadata kind term value.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Metadata kind category.

Constructor Detail

### MetadataEntry

    public MetadataEntry()

  Default mutable constructor.

### MetadataEntry

    public MetadataEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getExportFormats

    public java.util.List<ExportFormat> getExportFormats()

  Returns the export formats.

  Returns:
    export formats

### addExportFormat

    public void addExportFormat(ExportFormat exportFormat)

  Adds a new export format.

  Parameters:
    `exportFormat` - export format

### hasExportFormats

    public boolean hasExportFormats()

  Returns whether it has the export formats.

  Returns:
    whether it has the export formats

### getFeatures

    public java.util.List<Feature> getFeatures()

  Returns the features.

  Returns:
    features

### addFeature

    public void addFeature(Feature feature)

  Adds a new feature.

  Parameters:
    `feature` - feature

### hasFeatures

    public boolean hasFeatures()

  Returns whether it has the features.

  Returns:
    whether it has the features

### getImportFormats

    public java.util.List<ImportFormat> getImportFormats()

  Returns the import formats.

  Returns:
    import formats

### addImportFormat

    public void addImportFormat(ImportFormat importFormat)

  Adds a new import format.

  Parameters:
    `importFormat` - import format

### hasImportFormats

    public boolean hasImportFormats()

  Returns whether it has the import formats.

  Returns:
    whether it has the import formats

### getMaxUploadSizes

    public java.util.List<MaxUploadSize> getMaxUploadSizes()

  Returns the max upload sizes.

  Returns:
    max upload sizes

### addMaxUploadSize

    public void addMaxUploadSize(MaxUploadSize maxUploadSize)

  Adds a new max upload size.

  Parameters:
    `maxUploadSize` - max upload size

### hasMaxUploadSizes

    public boolean hasMaxUploadSizes()

  Returns whether it has the max upload sizes.

  Returns:
    whether it has the max upload sizes

### getQuotaBytesTotal

    public QuotaBytesTotal getQuotaBytesTotal()

  Returns the quota bytes total.

  Returns:
    quota bytes total

### setQuotaBytesTotal

    public void setQuotaBytesTotal(QuotaBytesTotal quotaBytesTotal)

  Sets the quota bytes total.

  Parameters:
    `quotaBytesTotal` - quota bytes total or `null` to reset

### hasQuotaBytesTotal

    public boolean hasQuotaBytesTotal()

  Returns whether it has the quota bytes total.

  Returns:
    whether it has the quota bytes total

### getQuotaBytesUsed

    public QuotaBytesUsed getQuotaBytesUsed()

  Returns the quota bytes used.

  Returns:
    quota bytes used

### setQuotaBytesUsed

    public void setQuotaBytesUsed(QuotaBytesUsed quotaBytesUsed)

  Sets the quota bytes used.

  Parameters:
    `quotaBytesUsed` - quota bytes used or `null` to reset

### hasQuotaBytesUsed

    public boolean hasQuotaBytesUsed()

  Returns whether it has the quota bytes used.

  Returns:
    whether it has the quota bytes used

### getQuotaBytesUsedInTrash

    public QuotaBytesUsedInTrash getQuotaBytesUsedInTrash()

  Returns the quota bytes used in trash.

  Returns:
    quota bytes used in trash

### setQuotaBytesUsedInTrash

    public void setQuotaBytesUsedInTrash(QuotaBytesUsedInTrash quotaBytesUsedInTrash)

  Sets the quota bytes used in trash.

  Parameters:
    `quotaBytesUsedInTrash` - quota bytes used in trash or `null` to reset

### hasQuotaBytesUsedInTrash

    public boolean hasQuotaBytesUsedInTrash()

  Returns whether it has the quota bytes used in trash.

  Returns:
    whether it has the quota bytes used in trash

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`